Pressbooks 3.9.8.2

Pressbooks 3.9.8.2 just went live on Pressbooks.com and all of our other production networks. Here’s what changed:

NOTICE: Pressbooks’ PHP version requirement (>= 5.6) and WordPress version requirement (>= 4.7.3) can no longer be overridden. Before installing Pressbooks 3.9.8, please ensure that your system has been upgraded accordingly.

  • Fix: Switched to an unmodified version of htmLawed to fix a regression in vanilla/htmlawed which was stripping paragraph tags from blockquotes (see #723).
  • Fix: Fixed an issue where users would be informed that their theme had been unlocked when saving Export options even thought it was already unlocked (see #722).
  • Fix: Fixed an issue where wp-cli would give a permissions error because of the \Pressbooks\ThemeLock::isLocked() check (see #721).

Published by

Ned Zimmerman

Lead developer @pressbooks, owner-operator @bight.

Start the discussion at the Pressbooks Forum